Name:		glmark2
Version:	2020.04
Release:	%mkrel 1
Group:  	Graphics
Summary:	Benchmark for OpenGL 2.0
License:	GPLv3
URL:		https://github.com/glmark2/glmark2
Source0:	glmark2-2020-04.tar.xz


##
## .desktop files
##

Source1:	%{name}.desktop
Source2:	%{name}-es2.desktop
Source8:	%{name}-drm.desktop
Source9:	%{name}-es2-drm.desktop


##
## .desktop pixmap icons
##

Source3:	%{name}.png
Source4:	%{name}-es2.png
Source12:	%{name}-drm.png
Source13:	%{name}-es2-drm.png
Source5:	%{name}.xcf
Source6:	%{name}-es2.xcf
Source10:	%{name}-drm.xcf
Source11:	%{name}-es2-drm.xcf


##
## appdata - glmark2 only!
##

Source7:	%{name}.appdata.xml


BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libpng12)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(gbm)
BuildRequires:	python
BuildRequires:	desktop-file-utils

%description
Glmark2 is a benchmark for OpenGL 2.0.


%prep
%setup -q

# Remove bundled libraries!
rm -rv src/libjpeg-turbo src/libpng

%build
./waf configure	--with-flavors="drm-gl,drm-glesv2,x11-gl,x11-glesv2" --prefix=%{_usr}

./waf -v


%install
./waf install -v --destdir=%{buildroot}


## The .desktop files
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{SOURCE8}

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{SOURCE9}


## The ICON files
%{__install} -vd	"%{buildroot}%{_datadir}/pixmaps/"
%{__install} -vp	%{SOURCE3} \
					%{SOURCE4} \
					%{SOURCE12} \
					%{SOURCE13} \
					"%{buildroot}%{_datadir}/pixmaps/"

## The appdata
%{__install} -vd "%{buildroot}%{_datadir}/appdata/"
%{__install} -vp %{SOURCE7} "%{buildroot}%{_datadir}/appdata/"


%files
## the x11 opengl benchmark
%doc NEWS README COPYING COPYING.SGI
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2


## x11 Opengl benchmark DRM
%{_datadir}/applications/%{name}-drm.desktop
%{_datadir}/pixmaps/%{name}-drm.png
%{_bindir}/%{name}-drm
%{_mandir}/man1/%{name}-drm.1.bz2


## Opengl ES 2 benchmark
%{_datadir}/applications/%{name}-es2.desktop
%{_datadir}/pixmaps/%{name}-es2.png
%{_bindir}/%{name}-es2
%{_mandir}/man1/%{name}-es2.1.bz2


## Opengl ES 2 benchmark DRM
%{_datadir}/applications/%{name}-es2-drm.desktop
%{_datadir}/pixmaps/%{name}-es2-drm.png
%{_bindir}/%{name}-es2-drm
%{_mandir}/man1/%{name}-es2-drm.1.bz2


## assets: models, shaders, textures
%{_datadir}/%{name}/


%changelog
* Wed Dec 16 2020 MBantz <martin dot bantz at gmail dot com> 2020.04
- Adapted to PCLinuxOS from jwakely at redhat dot com
